Bug 1030137 - Virt-who in ESX mode needs valid ESXOWNER field
Virt-who in ESX mode needs valid ESXOWNER field
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Deon Ballard
Katello Bug Bin
:
Depends On:
Blocks: sam13-tracker
  Show dependency treegraph
 
Reported: 2013-11-13 20:30 EST by Kyle Benson
Modified: 2014-03-11 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 22:46:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 543333 None None None Never

  None (edit)
Description Kyle Benson 2013-11-13 20:30:03 EST
The documentation outlined here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Subscription_Management/1/html-single/RHSM/index.html#sam-virt-vmware

And here:
https://access.redhat.com/site/documentation/en-US/Red_Hat_Subscription_Management/1/html-single/Using_Subscription_Asset_Manager/index.html#sam-virt-vmware

States the following which is only correct when virt-who is used in conjunction with Satellite 5.6 or newer:

------------------------------
Specify the owner of the subscriptions. This can anything, from a real organization or company to a random string.
VIRTWHO_ESX_OWNER=Example Corp
------------------------------


When using RHSM to connect to RHSM Hosted, or Subscription Asset Manager this must me the value of a defined org name. For example:

[root@prod231-230 ~]# subscription-manager identity
Current identity is: fc22872c-eb5a-493a-b7ba-e80790b9c5e3
name: prod231-230.gsslab.pnq.redhat.com
org name: 7086265
org id: 7086265

Here the correct org name is 7086265

If this is not defined appropriately, virt-who initally starts to poll, and then fails like so:

2013-11-11 17:29:38,562 [DEBUG]  @virt-who.py:475 - Virt-who is running in esx mode
2013-11-11 17:29:38,563 [DEBUG]  @virt-who.py:482 - Starting infinite loop with 3600 seconds interval and event handling
2013-11-11 17:30:00,778 [DEBUG]  @subscriptionmanager.py:89 - Sending update in hosts-to-guests mapping: {44454c4c-3900-1057-804c-b2c04f375231: [564dae70-72d4-5ed7-c194-2aefba08ad33, 564d7778-4581-1447-a38f-8851d544b53b, 4234352e-523b-c269-b483-5f20ad6acda0, 564d0c56-1f8f-24f0-4eae-8bd5b0bd96f7, 564d0328-d0b4-7a37-719f-4c72a35f4c76, 564d0dfe-6d5e-a7bd-6f6e-1ae8c45a0053, 564d770a-4f0a-25b2-53c9-f4cc50bcb802, 564d7e9a-b45d-3ef2-5d25-a0de6b24dfb6, 564d4335-3edf-ec0a-6932-2f4a52e9f8be, 42345fd1-c9ef-e68d-b922-e59f8fb48b9c, 564de5ee-6c1e-69de-32ea-d0939f48a5be, 564d7937-d32c-8bf9-95e9-b519eaa10769, 564d8cf5-6f07-68b2-9fd4-7bdf76b73345, 564d6a5e-d424-6971-2da0-8af029762538, 564d91f4-6622-3467-6652-6a344b918929, 564d29bb-6189-ff02-e0c8-a0302236a4da, 564d9be9-0238-5fe3-b2ad-66a421ee200b, 564dd383-e3af-b591-982e-6019848acebe, 564d864f-bab7-88fc-787f-31267f09c31b, 564d967a-39c1-b9eb-0da3-462a18e45898, 564d161b-e540-cf2c-7221-198d18b95057, 564d7233-3a74-8ca4-a8ff-71f8891b3873, 564dfec9-15f7-b732-5e90-98606c1f03dc, 564d5c94-794a-fff1-1c1e-c4ab6cc3625e, 564d156c-195b-4be4-9681-cbbeb2264cd3, 42344849-67c9-cf9c-466a-cbae26c8b1a4, 564d011d-8f36-675c-0d0b-b5b72c3d8af8, 564d7316-f0aa-bab3-b4fd-6f2bc87fd2e5, 564d80c1-564e-a86b-b2d3-adb251120a64, 564d0e3a-8b82-2ac8-531f-5270c3282e30, 564d65cd-2436-e791-ab8f-8383e7cfd279, 564d4ab5-b218-b46f-b5c2-c1bae9b33d70, 564d8668-a265-ff5e-ea42-ce8c80d28651, 564d255f-deaf-61d1-239d-a4bc0032e445, 42342bdf-af09-1a54-6d10-597ad47c317d, 564d7b09-0b64-33c9-9b03-baee7afd70c5, 564dcad8-269d-0a5e-893c-0b580eefe9e3, 564d8b59-2cbe-ec7f-eabe-2ee5a05ad9eb, 564d43a7-bf61-be15-1631-eb21abd9884c, 564d4836-f2ce-af8c-16e5-1f23271386ed, 564d0f61-6531-178a-bfc0-74cf345259a0, 564d8d22-fecc-1de2-ab05-5975441ff778, 564d7b52-1b07-9461-8204-0c6428f0e768, 564de4b2-836b-57a2-9e37-b38cb65dcbfb, 564d4ceb-7cc7-6966-2607-752143c53fca, 564dc09b-79b2-eadb-30ad-e92b37482307, 564d7b5f-e5eb-6130-4493-268a5fa16599, 564da841-7131-72f4-8150-0219cbafa363, 564d6f18-2e79-8768-c0e8-fa2cb5308714, 564df941-a30d-7cef-d714-e83a8ffed302, 564dd5ec-40ca-df34-1204-2c8f4e05480d, 564d5894-16a0-b3c9-3a97-b89d698d2319, 564d82cd-6d9e-8629-57b4-390cfb9fe91c, 564d9e89-f5fd-1fef-9773-db2c19cc0bb5, 564d8269-993d-b402-0779-d9b81ec25db1, 564d3141-7d9a-81b1-9ece-808621b40c0d, 564dd448-0b7b-dfc4-6f71-31e026ccf72c, 564dd0f3-843a-2972-cb2e-964304dad8f8, 564d4ad2-00ac-cad0-20c8-b412b792355a, 564dfd59-f017-b0d8-ae36-cf3bef792015, 564dccd3-e3df-9206-6e1a-64906976db7e, 564d39f8-50f5-6e27-a004-9d712a812883, 564da1d0-0045-bfd0-7764-dbff9f2d07f1, 564db6fc-387b-8be2-0cbd-79d461d076b4, 564d10d3-1557-dde9-4f55-9590e76ade5e, 564d720b-20f0-c0e1-2504-e7ef9c795356, 564db2bd-03df-707a-f3c9-9a88be27c255, 564d0698-c7fe-3136-3ed5-fd41333084dc, 564de1fe-4f75-9960-1232-db65b7753401, 564dc43a-7378-794e-9c17-4ddda11150cb, 564dd136-eaa9-de97-d1d5-47fb0b78c93e, 564d4760-9831-3f83-d9de-c73d27ee4d65, 564d1308-cbcf-294c-d16c-ef882b400374, 564d0d7b-37e5-bedf-8c36-4843aa7b3466, 4234cb5c-739e-b6b7-894c-ec3643330b2c, 564df9b1-6732-9244-2537-97ab1f215939, 564d837b-1da3-7451-697f-97df30ac11b9, 564dac35-538e-57cb-d0ac-ac9544e8a13a, 564de3cd-aa17-6198-e416-7f1698e79381, 564d558f-0cd8-530b-6768-9dbb2b6dc02a]}
2013-11-11 17:30:03,023 [ERROR]  @virt-who.py:200 - Error during update list of guests: 44454c4c-3900-1057-804c-b2c04f375231: Organization gsslab does not exist.


This is in both the SAM docs, and the RHSM standalone docs
Comment 1 Xixi 2013-11-15 17:41:41 EST
Kyle created KCS solution in Knowledgebase in the meantime:
https://access.redhat.com/site/solutions/543333

Note You need to log in before you can comment on or make changes to this bug.